## mnemosyne 2.11+ds1

=== requirements.txt ===
alabaster==0.7.13 ; python_version >= "3.9" and python_version < "4.0"
annotated-types==0.5.0 ; python_version >= "3.9" and python_version < "4.0"
argon2-cffi-bindings==21.2.0 ; python_version >= "3.9" and python_version < "4.0"
argon2-cffi==21.3.0 ; python_version >= "3.9" and python_version < "4.0"
autocommand==2.2.2 ; python_version >= "3.9" and python_version < "4.0"
babel==2.12.1 ; python_version >= "3.9" and python_version < "4.0"
certifi==2023.7.22 ; python_version >= "3.9" and python_version < "4.0"
cffi==1.15.1 ; python_version >= "3.9" and python_version < "4.0"
charset-normalizer==3.2.0 ; python_version >= "3.9" and python_version < "4.0"
cheroot==10.0.0 ; python_version >= "3.9" and python_version < "4.0"
cherrypy==18.8.0 ; python_version >= "3.9" and python_version < "4.0"
click==8.1.6 ; python_version >= "3.9" and python_version < "4.0"
colorama==0.4.6 ; python_version >= "3.9" and python_version < "4.0" and sys_platform == "win32" or python_version >= "3.9" and python_version < "4.0" and platform_system == "Windows"
contourpy==1.1.0 ; python_version >= "3.9" and python_version < "4.0"
cycler==0.11.0 ; python_version >= "3.9" and python_version < "4.0"
decorator==5.1.1 ; python_version >= "3.9" and python_version < "4.0"
docutils==0.20.1 ; python_version >= "3.9" and python_version < "4.0"
exceptiongroup==1.1.2 ; python_version >= "3.9" and python_version < "3.11"
fonttools==4.42.0 ; python_version >= "3.9" and python_version < "4.0"
google-trans-new==1.1.9 ; python_version >= "3.9" and python_version < "4.0"
gtts==2.3.2 ; python_version >= "3.9" and python_version < "4.0"
idna==3.4 ; python_version >= "3.9" and python_version < "4.0"
imagesize==1.4.1 ; python_version >= "3.9" and python_version < "4.0"
importlib-metadata==6.8.0 ; python_version >= "3.9" and python_version < "3.10"
importlib-resources==6.0.1 ; python_version >= "3.9" and python_version < "3.10"
inflect==7.0.0 ; python_version >= "3.9" and python_version < "4.0"
iniconfig==2.0.0 ; python_version >= "3.9" and python_version < "4.0"
jaraco-collections==4.3.0 ; python_version >= "3.9" and python_version < "4.0"
jaraco-context==4.3.0 ; python_version >= "3.9" and python_version < "4.0"
jaraco-functools==3.8.1 ; python_version >= "3.9" and python_version < "4.0"
jaraco-text==3.11.1 ; python_version >= "3.9" and python_version < "4.0"
jinja2==3.1.2 ; python_version >= "3.9" and python_version < "4.0"
kiwisolver==1.4.4 ; python_version >= "3.9" and python_version < "4.0"
markupsafe==2.1.3 ; python_version >= "3.9" and python_version < "4.0"
matplotlib==3.7.2 ; python_version >= "3.9" and python_version < "4.0"
more-itertools==10.1.0 ; python_version >= "3.9" and python_version < "4.0"
numpy==1.25.2 ; python_version >= "3.9" and python_version < "4.0"
packaging==23.1 ; python_version >= "3.9" and python_version < "4.0"
pillow==10.0.0 ; python_version >= "3.9" and python_version < "4.0"
pluggy==1.2.0 ; python_version >= "3.9" and python_version < "4.0"
portend==3.2.0 ; python_version >= "3.9" and python_version < "4.0"
pycparser==2.21 ; python_version >= "3.9" and python_version < "4.0"
pydantic-core==2.4.0 ; python_version >= "3.9" and python_version < "4.0"
pydantic==2.1.1 ; python_version >= "3.9" and python_version < "4.0"
pygments==2.16.1 ; python_version >= "3.9" and python_version < "4.0"
pyparsing==3.0.9 ; python_version >= "3.9" and python_version < "4.0"
pyqt6-qt6==6.5.2 ; python_version >= "3.9" and python_version < "4.0"
pyqt6-sip==13.5.2 ; python_version >= "3.9" and python_version < "4.0"
pyqt6-webengine-qt6==6.5.2 ; python_version >= "3.9" and python_version < "4.0"
pyqt6-webengine==6.5.0 ; python_version >= "3.9" and python_version < "4.0"
pyqt6==6.5.2 ; python_version >= "3.9" and python_version < "4.0"
pytest-timeout==2.1.0 ; python_version >= "3.9" and python_version < "4.0"
pytest==7.4.0 ; python_version >= "3.9" and python_version < "4.0"
python-dateutil==2.8.2 ; python_version >= "3.9" and python_version < "4.0"
pytz==2023.3 ; python_version >= "3.9" and python_version < "4.0"
pywin32==306 ; sys_platform == "win32" and implementation_name == "cpython" and python_version < "3.10" and python_version >= "3.9"
requests==2.31.0 ; python_version >= "3.9" and python_version < "4.0"
setuptools==68.0.0 ; python_version >= "3.9" and python_version < "4.0"
six==1.16.0 ; python_version >= "3.9" and python_version < "4.0"
snowballstemmer==2.2.0 ; python_version >= "3.9" and python_version < "4.0"
sphinx==7.1.2 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-applehelp==1.0.6 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-devhelp==1.0.4 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-htmlhelp==2.0.3 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-qthelp==1.0.5 ; python_version >= "3.9" and python_version < "4.0"
sphinxcontrib-serializinghtml==1.1.7 ; python_version >= "3.9" and python_version < "4.0"
tempora==5.5.0 ; python_version >= "3.9" and python_version < "4.0"
tomli==2.0.1 ; python_version >= "3.9" and python_version < "3.11"
typing-extensions==4.7.1 ; python_version >= "3.9" and python_version < "4.0"
urllib3==2.0.4 ; python_version >= "3.9" and python_version < "4.0"
webob==1.8.7 ; python_version >= "3.9" and python_version < "4.0"
zc-lockfile==3.0.post1 ; python_version >= "3.9" and python_version < "4.0"
zipp==3.16.2 ; python_version >= "3.9" and python_version < "3.10"

=== debian/changelog ===
mnemosyne (2.11+ds1-2) unstable; urgency=medium

  * Add dep on legacy-cgi (Closes: #1084719).
  * Fix qt6 deps (Closes: #1092828).
  * Try to fix the pixmaps situation (Closes: #1100085).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 16 Mar 2025 08:29:46 +0100

mnemosyne (2.11+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Fix double build (Closes: #1046206).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Sep 2024 21:17:27 +0200

mnemosyne (2.9+ds1-2) unstable; urgency=medium

  * Non-maintainer Upload
  * Add build-dep on python3-zombie-imp (Closes: #1074695)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 18:01:33 +0200

=== debian/control ===
Source: mnemosyne
Section: misc
Priority: optional
Maintainer: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-pyqt6, pyqt6-dev-tools,
               python3-gtts,
               python3-setuptools,
               python3-sphinx,
               python3-zombie-imp,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.mnemosyne-proj.org
Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
Vcs-Browser: https://salsa.debian.org/debian/mnemosyne

Package: mnemosyne
Architecture: all
Depends: libqt5sql5-sqlite,
         python3 (>= 3.5),
         python3-argon2,
         python3-cheroot,
         python3-cherrypy3,
         python3-gtts,
         python3-legacy-cgi,
         python3-matplotlib,
         python3-pil,
         python3-pyqt6,
         python3-pyqt6.qtmultimedia,
         python3-pyqt6.qtwebengine,
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: mplayer
Description: spaced repetition flash-card program
 The Mnemosyne software resembles a traditional flash-card program to help you
 memorise question/answer pairs, but with an important twist: it uses a
 sophisticated algorithm to schedule the best time for an item to come up for
 review. Difficult items that you tend to forget quickly will be scheduled more
 often, while Mnemosyne won't waste your time on things you remember well.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	if ! test -f po/mnemosyne.pot.bak ; then \
	  cp po/mnemosyne.pot po/mnemosyne.pot.bak ; \
	fi
	make build-all-deps

override_dh_auto_test:
        # disable tests for now

override_dh_auto_clean:
	rm -rf build/ docs/build/ mnemosyne/libmnemosyne/docs/build/
	rm -rf Mnemosyne.egg-info/ mnemosyne/pyqt_ui/ui* .pybuild/ mo/
	if test -f po/mnemosyne.pot.bak ; then \
	  mv po/mnemosyne.pot.bak po/mnemosyne.pot ; \
	fi
